

curl -X POST "https://graph.facebook.com/v23.0/<WHATSAPP_BUSINESS_ACCOUNT_ID>/message_templates" \ -H "Authorization: Bearer <ACCESS_TOKEN>" \ -H "Content-Type: application/json" \ -d '{ "name": "<NAME>", "category": "<CATEGORY>", "language": "<LANGUAGE>", "components": [<COMPONENTS>] }'
| Placeholder | Description | Sample Value |
|---|---|---|
<CATEGORY> | Required. Template category. Set this to MARKETING. | MARKETING |
<COMPONENTS> | Required. Array of objects that describe the components that make up the template. See Components below. | See Components below. |
<LANGUAGE> | Required. Template language and locale code. | en_US |
<NAME> | Required. Template name. Maximum 512 characters. | abandoned_cart |
components value must be an array of objects that describes each component that makes up the template. MPM templates must have the following components:[ { "type": "HEADER", "format": "TEXT", "text": "<HEADER_TEXT>", /* Example required if header uses a variable */ "example": { "header_text": [ "<HEADER_EXAMPLE_TEXT>" ] } }, { "type": "BODY", "text": "<BODY_TEXT>", /* Example required if body uses variables */ "example": { "body_text": [ [ "<BODY_EXAMPLE_TEXT>" ] ] } }, { "type": "FOOTER", "text": "<FOOTER_TEXT>" }, { "type":"BUTTONS", "buttons": [ { "type": "MPM", "text": "View items" } ] } ]
| Placeholder | Description | Sample Value |
|---|---|---|
<BODY_EXAMPLE_TEXT> | String or array of strings. Example body variable value(s). | 10OFF |
<BODY_TEXT> | Template body text. Supports multiple variables. If the string contains variables, you must include the example property and sample variable values. 1024 characters maximum. | Forget something, {{1}}? |
<FOOTER_TEXT> | Template footer text. 60 characters maximum. | Lucky Shrub, 1 Hacker Way, Menlo Park, CA 94025 |
<HEADER_EXAMPLE_TEXT> | Example header variable value. | Pablo |
<HEADER_TEXT> | Template header text. Supports 1 variable. If the string contains a variable, you must include the example property and a sample variable value. 60 characters maximum. | Looks like you left these items in your cart, still interested? Use code {{1}} to get 10% off! |
{ "id": "<ID>", "status": "<STATUS>", "category": "MARKETING" }
| Placeholder | Description | Sample Value |
|---|---|---|
<ID> | Template ID. | 546151681022936 |
<STATUS> | Template status. Only templates with an APPROVED status can be sent in a template message. | PENDING |
curl 'https://graph.facebook.com/v25.0/102290129340398/message_templates' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer EAAJB...' \
-d '
{
"name": "abandoned_cart",
"language": "en_US",
"category": "MARKETING",
"components": [
{
"type": "HEADER",
"format": "TEXT",
"text": "Forget something, {{1}}?",
"example": {
"header_text": [
"Pablo"
]
}
},
{
"type": "BODY",
"text": "Looks like you left these items in your cart, still interested? Use code {{1}} to get 10% off!",
"example": {
"body_text": [
[
"10OFF"
]
]
}
},
{
"type":"BUTTONS",
"buttons": [
{
"type": "MPM",
"text": "View items"
}
]
}
]
}'
{ "id": "546151681022936", "status": "PENDING", "category": "MARKETING" }
{ "object": "whatsapp_business_account", "entry": [ { "id": "<ENTRY.ID>", "changes": [ { "value": { "messaging_product": "whatsapp", "metadata": { "display_phone_number": "<DISPLAY_PHONE_NUMBER>", "phone_number_id": "<PHONE_NUMBER_ID>" }, "contacts": [ { "profile": { "name": "<NAME>" }, "wa_id": "<WA_ID>" } ], "messages": [ { "from": "<FROM>", "id": "<MESSAGES.ID>", "timestamp": "<TIMESTAMP>", "type": "order", "order": { "catalog_id": "<CATALOG_ID>", "product_items": [ { "product_retailer_id": "<PRODUCT_RETAILER_ID>", "quantity": <QUANTITY>, "item_price": <ITEM_PRICE>, "currency": "<CURRENCY>" } ] } } ] }, "field": "messages" } ] } ] }
| Placeholder | Description | Sample Value |
|---|---|---|
<CATALOG_ID> | Ecommerce product catalog ID. | 1537566713439863 |
<CURRENCY> | Item currency. | USD |
<DISPLAY_PHONE_NUMBER> | Business phone number display number. | 15550051310 |
<ENTRY.ID> | WhatsApp Business Account ID. | 102290129340398 |
<ITEM_PRICE> | Item price. | 99.99 |
<MESSAGES.ID> | WhatsApp message ID. | wamid.HBgLMTY1MDM4Nzk0MzkVAgARGBJDOEI3ODgxNzQzMjJBQTdEQTcA |
<NAME> | Customer’s name. | Pablo Morales |
<PHONE_NUMBER_ID> | Business phone number ID. | 106540352242922 |
<PRODUCT_RETAILER_ID> | The item SKU number. Labeled as Content ID in the Commerce Manager. | 2lc20305pt |
<QUANTITY> | Number of items ordered (for this particular item). | 1 |
<TIMESTAMP> | UNIX timestamp indicating when the webhook was sent. | 1677522117 |
<WA_ID> | Customer’s WhatsApp phone number. | 16505551234 |
{ "object": "whatsapp_business_account", "entry": [ { "id": "102290129340398", "changes": [ { "value": { "messaging_product": "whatsapp", "metadata": { "display_phone_number": "15550051310", "phone_number_id": "106540352242922" }, "contacts": [ { "profile": { "name": "Pablo Morales" }, "wa_id": "16505551234" } ], "messages": [ { "from": "16505551234", "id": "wamid.HBgLMTY1MDM4Nzk0MzkVAgASGBQzQTMxNzA1QzNENEI4ODY0OTY2MAA=", "timestamp": "1683223069", "type": "order", "order": { "catalog_id": "1537566713439863", "product_items": [ { "product_retailer_id": "n6k6x0y7oe", "quantity": 1, "item_price": 99.99, "currency": "USD" } ] } } ] }, "field": "messages" } ] } ] }

curl -X POST "https://graph.facebook.com/v23.0/<BUSINESS_PHONE_NUMBER_ID>/messages" \ -H "Authorization: Bearer <ACCESS_TOKEN>" \ -H "Content-Type: application/json" \ -d ' { "messaging_product": "whatsapp", "recipient_type": "individual", "to": "<TO>", "type": "template", "template": { "name": "<NAME>", "language": { "code": "<CODE>" }, "components": [ { "type": "header", "parameters": [ { "type": "text", "text": "<HEADER_TEXT>" } ] }, { "type": "body", "parameters": [ { "type": "text", "text": "<BODY_TEXT>" } ] }, { "type": "button", "sub_type": "mpm", "index": 0, "parameters": [ { "type": "action", "action": { "thumbnail_product_retailer_id": "<THUMBNAIL_PRODUCT_RETAILER_ID>", "sections": [ { "title": "<TITLE>", "product_items": [ { "product_retailer_id": "<PRODUCT_RETAILER_ID_1>" }, { "product_retailer_id": "<PRODUCT_RETAILER_ID_2>" } // ... Add up to 30 product items per section ] } // ... Add up to 10 section objects as needed ] } } ] } ] } }'
| Placeholder | Description | Sample Value |
|---|---|---|
<BODY_TEXT> | Required if template uses variables. String or array of strings. Text to replace body variable(s) defined in the template. | 10OFF |
<CODE> | Template language and locale code. | en_US |
<HEADER_TEXT> | Required if template uses a variable. Text to replace header variable defined in the template. | Pablo |
<NAME> | Template name. | abandoned_cart |
<PRODUCT_RETAILER_ID> | SKU number of the item you want to appear in the section. SKU numbers are labeled as Content ID in the Commerce Manager. Supports up to 30 products total, across all sections. | 2lc20305pt |
<THUMBNAIL_PRODUCT_RETAILER_ID> | Item SKU number. Labeled as Content ID in the Commerce Manager. The thumbnail of this item will be used as the template message’s header image. | 2lc20305pt |
<TITLE> | Section title text. You can define up to 10 sections. Maximum 24 characters. Markdown is not supported. | Popular Bundles |
<TO> | Customer phone number. | 16505551234 |
{ "messaging_product": "whatsapp", "contacts": [ { "input": "<INPUT>", "wa_id": "<WA_ID>" } ], "messages": [ { "id": "<ID>" } ] }
| Placeholder | Description | Sample Value |
|---|---|---|
<ID> | WhatsApp message ID. | wamid.HBgLMTY1MDM4Nzk0MzkVAgARGBJDOEI3ODgxNzQzMjJBQTdEQTcA |
<INPUT> | Customer WhatsApp phone number. | 16505551234 |
<WA_ID> | Customer WhatsApp ID. | 16505551234 |
curl 'https://graph.facebook.com/v25.0/106540352242922/messages' \
-H 'Content-Type: application/json' \
-H 'Authorization: Bearer EAAJB...' \
-d '
{
"messaging_product": "whatsapp",
"recipient_type": "individual",
"to": "16505551234",
"type": "template",
"template": {
"name": "abandoned_cart",
"language": {
"code": "en_US"
},
"components": [
{
"type": "header",
"parameters": [
{
"type": "text",
"text": "Pablo"
}
]
},
{
"type": "body",
"parameters": [
{
"type": "text",
"text": "10OFF"
}
]
},
{
"type": "button",
"sub_type": "mpm",
"index": 0,
"parameters": [
{
"type": "action",
"action": {
"thumbnail_product_retailer_id": "2lc20305pt",
"sections": [
{
"title": "Popular Bundles",
"product_items": [
{
"product_retailer_id": "2lc20305pt"
},
{
"product_retailer_id": "nseiw1x3ch"
}
]
},
{
"title": "Premium Packages",
"product_items": [
{
"product_retailer_id": "n6k6x0y7oe"
}
]
}
]
}
}
]
}
]
}
}'
{ "messaging_product": "whatsapp", "contacts": [ { "input": "16505551234", "wa_id": "16505551234" } ], "messages": [ { "id": "wamid.HBgLMTY1MDM4Nzk0MzkVAgARGBJDOEI3ODgxNzQzMjJBQTdEQTcA" } ] }